/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams. URLs shamelessly stolen from Cool-Streams.xml.               #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#   (C)       2008 Georges Dubus <georges.dubus@supelec.fr>               #
#   (C)       2008 Nickolay Bunev <just4nick@gmail.com>                   #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

Importer.loadQtBinding("qt.core");
Importer.loadQtBinding("qt.gui");

function Station( name, url, website, logo, artist )
{
    this.name = name;
    this.url = url;
	 this.website = website;
	 this.logo = logo;
	 this.artist = artist;
}


categories = new Object;


categories["Ciudad Guatemala"]= new Array (
new Station( "Clásica 106.5 FM", "http://67.18.179.2:8009", "http://www.clasica.com.gt", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "La Red 106.1 FM", "http://admin.949.com.gt/streaming/lared.m3u", "http://www.lared.com.gt/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "Emisoras Unidas 89.7 FM", "http://grupo.emisorasunidas.com/online/emisorasunidas.asx", "http://radio.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "YosiSideral 90.1 FM", "http://grupo.emisorasunidas.com/online/yosisideral1.asx", "http://yosisideral.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "KissFM 97.7 FM", "http://grupo.emisorasunidas.com/online/kissfm.asx", "http://kissfm.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "Fabuestereo 88.1 FM", "http://grupo.emisorasunidas.com/online/fabuestereo.asx", "http://fabuestereo.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "Atmosfera 96.5 FM", "http://grupo.emisorasunidas.com/online/atmosfera.asx", "http://atmosfera.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "FM 95 94.9 FM", "http://admin.949.com.gt/streaming/949.m3u", "http://www.fm95.com.gt/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "TGW 107.3", "http://streaming.gua.net/tgw", "http://www.radiotgw.gob.gt/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "La Grande 99.3 FM", "http://grupo.emisorasunidas.com/online/lagrande.asx", "http://lagrande.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" )
);

categories["Solo en linea"]= new Array (
new Station( "Metrostereo 102.9 FM", "http://67.19.205.14:8102", "http://www.metrostereo.net", "http://blogsdeguatemala.com/bdg.png", "Ciudad Guatemala" ),
new Station( "El Circo del Rock", "http://www.elcircodelrock.com/media/playlist/listen.pls", "http://www.elcircodelrock.com/", "http://blogsdeguatemala.com/bdg.png", "Solo en línea" ),
new Station( "YosiKids", "http://grupo.emisorasunidas.com/online/yosikids.asx", "http://yosikids.emisorasunidas.com/", "http://blogsdeguatemala.com/bdg.png", "Solo en línea" ),
new Station( "GuateRock", "http://208.53.170.26:8926/listen.pls", "http://www.radioguaterock.com/", "http://blogsdeguatemala.com/bdg.png", "Solo en línea" )
);

categories["Escuintla"]= new Array (
new Station( "Radio Católica del Sur", "http://srv5.icecaster.com:8000/radiocatolicadelsur.m3u", "http://www.radiocatolicadelsur.com/", "http://blogsdeguatemala.com/bdg.png", "Escuintla" )
);

categories["Quetzaltenango"]= new Array (
new Station( "Stereo Gardenia", "http://radio2.netyco.com:8008", "http://www.stereogardenia.com/", "http://blogsdeguatemala.com/bdg.png", "Quetzaltenango" )
);

categories["Jutiapa"]= new Array (
new Station( "Stereo Solar 98.3 FM", "http://srv111.tecosoft.net:7097/", "http://www.estereosolarjutiapa.com/", "http://blogsdeguatemala.com/bdg.png", "Jutiapa" )
);

categories["Chiquimula"]= new Array (
new Station( "Stereo Solar 89.5 FM", "http://srv300.tecosoft.net:6040/", "http://www.estereosolarchiquimula.com/", "http://blogsdeguatemala.com/bdg.png", "Chiquimula" )
);

categories["Zacapa"]= new Array (
new Station( "Stereo Azúcar 96.7 FM", "http://srv10.tecosoft.net:7025/", "http://www.estereoazucarzacapa.com/", "http://blogsdeguatemala.com/bdg.png", "Zacapa" )
);

categories["Sacatepequez"]= new Array (
new Station( "Radio Circuito San Juan 810 AM", "http://ia311228.us.archive.org/0/items/radioenlinea_405/radio.asx", "http://www.radiocircuitosanjuan.com/", "http://blogsdeguatemala.com/bdg.png", "Sacatepéquez" )
);

categories["Quiche"]= new Array (
new Station( "Caracol Radio 105.1 FM", "http://91.121.159.50:8000/caracol", "http://www.caracolst.com", "http://blogsdeguatemala.com/bdg.png", "Quiché" )
);

function RadioGT()
{
    Amarok.debug( "creating Guatemala Radio service..." );
    ScriptableServiceScript.call( this, "Guatemala Radio", 2, "Listado de Radios en linea de Guatemala", "Listado de Radios en linea de Guatemala", false );
    Amarok.debug( "done." );    
}

function onConfigure()
{
    Amarok.alert( "Este script no necesita configuaración adicional." );
}

function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
         var cover = Amarok.Info.scriptPath() + "/" + "radio.png";
            Amarok.debug ("att: " + att + ", " + categories[att].name)
           
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	        item.coverUrl = cover;
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Populating station level..." );
	//add the station streams as leaf nodes

        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.artist = stationArray[i].artist;
		item.infoHtml = "Radio: " + item.itemName + "<br />" + 
						" <img src='" + stationArray[i].logo + "'><br />" +
						" Sitio Web: <a href='" + stationArray[i].website + "'>" + stationArray[i].website + "</a>";
		item.coverUrl = stationArray[i].logo;
		script.insertItem( item );
	}
	script.donePopulating();
    }
}

function onCustomize() {
    var currentDir = Amarok.Info.scriptPath() + "/";
    var iconPixmap = new QPixmap(currentDir + "icon.png");
    script.setIcon(iconPixmap);
}

script = new RadioGT();
script.populate.connect( onPopulating );
script.customize.connect( onCustomize );
